import { useEffect, useState } from "react";
var useBehaviorSubject = function (subject$) {
    var _a = useState(subject$.value), val = _a[0], setVal = _a[1];
    function next(val) {
        subject$.next(val);
    }
    useEffect(function () {
        var subscription = subject$.subscribe(setVal);
        return function () { return subscription.unsubscribe(); };
    }, [subject$]);
    return [val, next];
};
export default useBehaviorSubject;
//# sourceMappingURL=behavior-subject.js.map